Loading...
Searching...
No Matches
L4virtio::Svr::Console::Device_port Struct Reference

A console port with associated read/write state. More...

`#include <virtio-console-device>`

Inheritance diagram for L4virtio::Svr::Console::Device_port:
Collaboration diagram for L4virtio::Svr::Console::Device_port:

## Public Member Functions

void | reset () override
| Reset the port to the initial state and disable its virtqueues.
Public Member Functions inherited from L4virtio::Svr::Console::Port
bool | is_open () const
| Check that the port is open.
bool | queues_ready () const
| Check that both virtqueues are set up correctly.
bool | rx_ready () const
| Check that device implementation may write to receive queues.
bool | tx_ready () const
| Check that device implementation may read from transmit queues.

## Data Fields

Request_processor | rp
| Request processor associated with current request.
Virtqueue::Request | request
| Current virtio tx queue request.
Buffer | src
| Source data block to process.
Data Fields inherited from L4virtio::Svr::Console::Port
Virtqueue | tx
| Receiveq of the port.
Virtqueue | rx
| Transmitq of the port.
Port_status | status
| State the port is in.
Port_status | reported_status
| State the port was last reported.
unsigned | vq_max
| Maximum queue sizes for this port.

## Additional Inherited Members

Public Types inherited from L4virtio::Svr::Console::Port
enum | Port_status { Port_disabled = 0 , Port_added , Port_ready , Port_open , Port_failed , Port_num_states }
| Possible states of a virtio console port. More...
enum |
| Size of control queues, also used as default size.
Static Public Attributes inherited from L4virtio::Svr::Console::Port
static constexpr Transition | state_transitions [Port_num_states][Port_num_states]
| State transition table from last report state to current state.

## Detailed Description

A console port with associated read/write state.

Tracks the notification of the device implementation and holds the state when receiving data from the driver.

Definition at line 26 of file virtio-console-device.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-console-device